SQUIRREL(1)

NAME
squirrel - Squirrel interpreter

SYNOPSIS
squirrel [ options ] [ script [ args ] ]

DESCRIPTION
squirrel is the standalone Squirrel interpreter. It loads and executes programs written in the Squirrel programming language, either in textual source form or in precompiled binary form. Precompiled binaries can also be generated with squirrel using the -c option.

squirrel can be used both interactively and as a batch interpreter.

If squirrel is called without any options and arguments, interactive mode is entered. If script is specified, but not -c , the script is interpreted and the program exits.

OPTIONS

-c  Compile the specified script into bytecode, output it into a file, and exit

-o name
    Output the bytecode -c generates into name instead of out.cnut

-d  Generate debug information

-h  Display a short help message

-v  Display version information

SEE ALSO
/usr/share/doc/squirrel3/reference.pdf, /usr/share/doc/libsquirrel-dev/stdlib.pdf The Squirrel website: http://squirrel-lang.org/